View Issue Details

IDProjectCategoryView StatusLast Update
0004156Kali Linux[All Projects] Kali Package Bugpublic2017-08-24 15:57
Reporterdookie Assigned Torhertzog  
PriorityurgentSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version2017.2Fixed in Version 
Summary0004156: Graphical Installer Fails at Language Selection
DescriptionOn four different macbooks running VMware Fusion Pro 8, the graphical installer freezes the VM completely at the language selection step.

Another of our team tested it in VirtualBox and encountered the same issue. In all cases, it's completely hung up so we can't switch to other TTYs so see what errors are popping up, if any.
Steps To Reproduce1. At the live boot menu, select the graphical installer
2. System hang

Activities

dookie

2017-08-17 17:01

administrator  

Screen Shot 2017-08-17 at 11.00.40 AM.png (660,852 bytes)

dookie

2017-08-17 17:01

administrator   ~0007004

Screenshot attached

rhertzog

2017-08-18 10:51

administrator   ~0007008

We are reproducing the issue in Debian, both in the weekly images (that use the same 4.11 kernel) and in the daily image (that use the new 4.12 image). So whatever the problem is, it's not fixed by the new kernel... the freeze makes it hard to see any error message from the kernel.

We reproduced it with qemu/kvm as well so it's not specific to the virtual video card as I believe they all use different models with different drivers. It might be that the installer is using the basic framebuffer driver and that this one is broken though.

I pinged a few people to get help on the Debian side. But this will likely take some time to track down. And reverting to 4.9 is not easily doable either.

rhertzog

2017-08-18 10:53

administrator   ~0007009

Note that you can work around the issue by using the text-mode installer instead of the graphical installer.

dookie

2017-08-18 16:44

administrator   ~0007023

I suppose if there's an upside, it's that it's not "our" bug and it's being worked on. Thanks very much for the information.

rhertzog

2017-08-18 18:31

administrator   ~0007025

In fact the machine is not frozen but it doesn't seem to accept any input from keyboard and mouse. But if you automate with preseeding, you can see it go through. Not sure if it's a regression in the kernel or Xorg.

rhertzog

2017-08-19 13:35

administrator   ~0007035

This has been tracked down by Cyril Brulebois to this: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=872598

A fix will come soon in Debian hopefully.

rhertzog

2017-08-21 14:54

administrator   ~0007057

I am trying to update systemd in Kali with my patch to fix this issue until it's fixed in Debian but currently the systemd package fails to build. It might be related to the switch to gcc-7. I am investigating further.

rhertzog

2017-08-22 14:16

administrator   ~0007075

The fix is now available in the systemd package and we will update the installer as soon as Linux 4.12 is available in kali-rolling (it should happen tomorrow hopefully).

rhertzog

2017-08-24 08:26

administrator   ~0007098

We updated the installer yesterday, it should work again. We checked that we can go past the first screen.

dookie

2017-08-24 15:57

administrator   ~0007118

Confirmed. I generated an ISO and completed a full graphical installation without issues. Thanks!

Issue History

Date Modified Username Field Change
2017-08-17 16:59 dookie New Issue
2017-08-17 16:59 dookie Status new => assigned
2017-08-17 16:59 dookie Assigned To => rhertzog
2017-08-17 17:01 dookie File Added: Screen Shot 2017-08-17 at 11.00.40 AM.png
2017-08-17 17:01 dookie Note Added: 0007004
2017-08-18 10:51 rhertzog Note Added: 0007008
2017-08-18 10:53 rhertzog Note Added: 0007009
2017-08-18 16:44 dookie Note Added: 0007023
2017-08-18 18:31 rhertzog Note Added: 0007025
2017-08-19 13:35 rhertzog Note Added: 0007035
2017-08-21 14:54 rhertzog Note Added: 0007057
2017-08-22 14:16 rhertzog Note Added: 0007075
2017-08-24 08:26 rhertzog Status assigned => resolved
2017-08-24 08:26 rhertzog Resolution open => fixed
2017-08-24 08:26 rhertzog Note Added: 0007098
2017-08-24 15:57 dookie Note Added: 0007118